API Reference - GET /codelist/locationexpansions
Page content
The LocationExpansions endpoint returns a list of Location Expansions values and the corresponding codes.
Resource
GET /api/codelist/locationexpansions
Authorization
No authorization required
Query Parameters
| Name | Description |
|---|---|
| lastmodified | Only return items modified on or after the date supplied. This is an optional field. |
Response
JSON:
{
"CodeList": [{
"ValidValue": [{
"Code": "263390099",
"City": "Mount Clemens",
"CountrySubdivision": "MI",
"Country": "US",
"LastModified": "2011-10-04T22:44:26.817",
"IsDisabled": "No",
"Expansion": [{
"GeoLocCode": "99MTRO002",
"City": "Detroit Metro Area",
"CountrySubdivision": "MI",
"Country": "US",
"LastModified": "2013-10-01T00:00:00",
"IsDisabled": "Yes"
}]
}],
"id": "GeoLocationCode_Extensions"
}],
"DateGenerated": "2018-08-02T14:11:20.9282358-04:00"
}
| Name | Type | Description |
|---|---|---|
| Code | String | Location Expansions code |
| City | String | Location Expansions city name |
| CountrySubdivision | String | Location Expansions Country Subdivision name |
| Country | String | Location Expansions Country name |
| LastModified | Date | Date value or code was last modified |
| IsDisabled | String | Has the Location Expansions code been disabled. Values are Yes or No. |
| Expansion | String | List of locations grouped under the Location Expansion item |
| DateGenerated | Date | Date of request |
An official website of the United States Government